Class Fox::FXCheckButton

In: | FXCheckButton.rb
Parent: | FXLabel

A check button is a tri-state button. Normally, it is either `TRUE` or `FALSE`, and toggles between `TRUE` or `FALSE` whenever it is pressed. A third state `MAYBE` may be set to indicate that no selection has been made yet by the user, or that the state is ambiguous.

### Events

The following messages are sent by FXCheckButton to its target:

`SEL_KEYPRESS`: | sent when a key goes down; the message data is an FXEvent instance.
`SEL_KEYRELEASE`: | sent when a key goes up; the message data is an FXEvent instance.
`SEL_LEFTBUTTONPRESS`: | sent when the left mouse button goes down; the message data is an FXEvent instance.
`SEL_LEFTBUTTONRELEASE`: | sent when the left mouse button goes up; the message data is an FXEvent instance.
`SEL_COMMAND`: | sent when the button is clicked.

### CheckButton styles

`CHECKBUTTON_AUTOGRAY`: | Automatically gray out when not updated
`CHECKBUTTON_AUTOHIDE`: | Automatically hide when not updated
`CHECKBUTTON_NORMAL`: | `JUSTIFY_NORMAL|ICON_BEFORE_TEXT`

Methods

checked? maybe? new unchecked?

Attributes

boxColor | [RW] | Box background color [FXColor]
checkButtonStyle | [RW] | Check button style [Integer]
checkState | [RW] | Check button state (`TRUE`, `FALSE` or `MAYBE`) [Integer]

Public Class methods

new(parent, text, target=nil, selector=0, opts=CHECKBUTTON_NORMAL, x=0, y=0, width=0, height=0, padLeft=DEFAULT_PAD, padRight=DEFAULT_PAD, padTop=DEFAULT_PAD, padBottom=DEFAULT_PAD) {|theCheckButton| ...}

Construct new check button

Public Instance methods

checked?()

Return `true` if the check button state is `TRUE`

unchecked?()

Return `true` if the check button state is `FALSE`

maybe?()

Return `true` if the check button state is `MAYBE`